// import axios from 'axios';

// const http = axios.create({
//   baseURL: process.env.REACT_APP_BACKEND_URL,
// });
// console.log(process.env.REACT_APP_BACKEND_URL);
// http.interceptors.request.use((config) => {
//   const authToken = localStorage.getItem('authToken');
//   if (authToken) {
//     config.headers.Authorization = authToken;
//   }

//   return config;
// });

// export default http;

import axios, { AxiosInstance } from 'axios';

const backendHttp = axios.create({
  baseURL: process.env.REACT_APP_BACKEND_URL,
});

// Axios instance for the local API
const apiHttp = axios.create({
  baseURL: "http://localhost:5000/api",
});


// Add interceptors to both instances
const addAuthInterceptor = (instance: AxiosInstance) => {
  instance.interceptors.request.use((config) => {
    const authToken = localStorage.getItem('authToken');
    if (authToken) {
      config.headers.Authorization = authToken;
    }
    return config;
  });
};

addAuthInterceptor(backendHttp);
addAuthInterceptor(apiHttp);

export { backendHttp, apiHttp };
